# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_DynamicDerivedClass Class Reference

The object of this class is to allow, as in the
C++ language, the possibility to define a
DynamicDerivedClass which inherits from one or
more DynamicClass.
.

`#include <Dynamic_DynamicDerivedClass.hxx>`

Inheritance diagram for Dynamic_DynamicDerivedClass:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_DynamicDerivedClass (const Standard_CString aname)
| Creates a new instance of this class with <aname> as name. .
Standard_EXPORT void | AddClass (const Handle(Dynamic_DynamicClass)&aclass)
| Adds another class <aclass> to the sequence of derived classes. .
virtual Standard_EXPORT Handle_Dynamic_Method | Method (const Standard_CString amethod) const
| Starting with the name of a method, this redefined method searches for the right method object in the sequence of methods of the derived class and in all the inherited classes. .
virtual Standard_EXPORT Handle_Dynamic_DynamicInstance | Instance () const
| Defines an instance of this class definition. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_SequenceOfClasses | thesequenceofclasses

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_DynamicDerivedClass::Dynamic_DynamicDerivedClass | ( | const Standard_CString | aname | ) |

## Member Function Documentation

Standard_EXPORT void Dynamic_DynamicDerivedClass::AddClass | ( | const Handle(Dynamic_DynamicClass)& | aclass | ) |

Standard_EXPORT const Dynamic_DynamicDerivedClass::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_DynamicClass.

virtual Standard_EXPORT Handle_Dynamic_DynamicInstance Dynamic_DynamicDerivedClass::Instance | ( |  | ) | const`[virtual]`

| Reimplemented from Dynamic_DynamicClass.

virtual Standard_EXPORT Handle_Dynamic_Method Dynamic_DynamicDerivedClass::Method | ( | const Standard_CString | amethod | ) | const`[virtual]`

| Reimplemented from Dynamic_DynamicClass.

## Field Documentation

Handle_Dynamic_SequenceOfClasses Dynamic_DynamicDerivedClass::thesequenceofclasses `[private]`

The documentation for this class was generated from the following file:

- Dynamic_DynamicDerivedClass.hxx